Package com.plannaplan.security.cas

# Interface CasValidator

All Known Implementing Classes:
  `CustomUAMCasValidator`, `DefaultUAMCasValidator`

    public interface CasValidator

We can authorize in different contexts. For example if we rgister our domain we will get more info than on localhost. This abstraction let's us handle both cases based on spring profile

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`CasUserIdentity` | `validate()` | validate ticket (should be provided in costructor or by setter)

## Method Details

### validate

CasUserIdentity validate()
validate ticket (should be provided in costructor or by setter)

Returns:
  CasUserIdentity instance with values from response or null if validation failed